> For the complete documentation index, see [llms.txt](https://docs.e6data.com/query-engine/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.e6data.com/query-engine/reference/limits-and-quotas/cluster-limits.md).

# Cluster limits

Naming rules, sizing bounds, and scaling/suspension limits for e6data clusters.

Reference limits for cluster naming, sizing, scaling, and suspension.

## Cluster naming

| Rule               | Value                                               |
| ------------------ | --------------------------------------------------- |
| Length             | 3–30 characters                                     |
| Allowed characters | Letters (upper or lower case), numbers, and hyphens |
| Case               | Case-sensitive                                      |
| First character    | A letter                                            |
| Last character     | A letter or digit                                   |
| Mutability         | Cannot be changed after creation                    |

## Sizing

| Size                      | Executors               |
| ------------------------- | ----------------------- |
| XS / S / M / L / XL / XXL | 1 / 2 / 4 / 8 / 16 / 32 |
| Custom                    | 1–100 (you choose)      |

## Scaling

| Parameter                   | Range | Default |
| --------------------------- | ----- | ------- |
| Min executors (autoscaling) | 0–100 | 1       |
| Max executors (autoscaling) | 1–100 | 5       |

Set min executors to `0` for scale-to-zero.

## Suspension and resume

| Parameter                 | Range          | Default     |
| ------------------------- | -------------- | ----------- |
| Auto-suspend idle timeout | 5–1440 minutes | 30 minutes  |
| Auto-resume timeout       | 30–600 seconds | 300 seconds |

## Configuration

| Parameter        | Range            | Default     |
| ---------------- | ---------------- | ----------- |
| Query timeout    | 1–3600 seconds   | 900 seconds |
| Result cache TTL | 60–86400 seconds | 300 seconds |

## See also

* [Create and manage clusters](/query-engine/guides/clusters/create-and-manage-clusters.md)
* [Cluster sizing and scaling](/query-engine/guides/clusters/cluster-sizing-and-scaling.md)
* [Query limits](/query-engine/reference/limits-and-quotas/query-limits.md)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.e6data.com/query-engine/reference/limits-and-quotas/cluster-limits.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
